Subject: Re: [PATCH 01/18] Introduce fsck options

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Dec 2014 09:32:26 -0800

Johannes Schindelin <[email-masked]> writes:

>> Is it a good idea to allow walker to be strict but obj verifier to
>> be not (or vice versa)?  I am wondering why this is not a single
>> struct with two callback function pointers.
>
> Unfortunately not. There are two different walkers used, and in fact,
> fsck_walk_options() is only used to walk the objects, not to fsck them.
>
> Now, I could use only one struct and set the walker, but that is not
> thread-safe, and while code is not threaded yet AFAICT, it might be in the
> future. That is why I decided to be rather safe than sorry. If you want it
> differently, please just say the word, I will make it so.

Thanks for explaining; I just found that the reason behind the
design choice was unclear and wanted to know.